Bug 1344134 - RGW Sync agent doesn't resync some objects after failover
Summary: RGW Sync agent doesn't resync some objects after failover
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.2
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: rc
: 1.3.3
Assignee: Casey Bodley
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1348597 1372735
TreeView+ depends on / blocked
 
Reported: 2016-06-08 20:34 UTC by Michael J. Kidd
Modified: 2019-12-16 05:54 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-0.94.7-5.el7cp, radosgw-agent-1.2.7-1.el7cp Ubuntu: ceph_0.94.7-3redhat1trusty, radosgw-agent_1.2.7-2redhat
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
.The "radosgw-agent fully sync" mode now copies only changed objects With this update, the `radosgw-agent` in `full sync` mode copies only objects that have changed, instead of all of them, when synchronizing objects between two Ceph Object Gateways after a failover.
Clone Of:
Environment:
Last Closed: 2016-09-29 12:59:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16262 None None None 2016-06-13 14:43:58 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Comment 4 Michael J. Kidd 2016-06-08 20:45:42 UTC
Created attachment 1166108 [details]
RGW Logs from 'am' zone

Comment 13 Michael J. Kidd 2016-06-09 15:59:22 UTC
Marcus:
 - Yehuda suggested continuing work on reproduction internally so we can test the new code to ensure it's will achieve the end goal.

Comment 17 Casey Bodley 2016-06-13 14:50:51 UTC
Added upstream pull requests for the hammer backport (https://github.com/ceph/ceph/pull/9671) and sync agent (https://github.com/ceph/radosgw-agent/pull/44).

Comment 56 errata-xmlrpc 2016-09-29 12:59:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.